/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2016 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2016 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
/* =========================== */
/* Global CSS for 'base' theme */
/* =========================== */
/* =================================== */
/* CSS for control sap.ui.table/Table  */
/* Base theme                          */
/* =================================== */
/*******************************************************************************
 * TABLE PARAMETERS
 ******************************************************************************/
/* should be one of the sap.m.ToolbarDesign enumeration */
/*******************************************************************************
 * MAIN TABLE SECTIONS (First Level Elements)
 ******************************************************************************/
.sapUiTable {
  font-family: Arial, Helvetica, sans-serif;
  color: #ffffff;
  position: relative;
  box-sizing: border-box;
  min-width: 1rem;
}
.sapUiTableFtr {
  border-bottom: 1px solid #ffffff;
  border-left: 1px solid #ffffff;
  border-right: 1px solid #ffffff;
  box-sizing: border-box;
  padding: 0 0.625rem;
  min-height: 1.5rem;
  background-color: #000000;
  padding-top: 0.25rem;
  font-weight: bold;
}
.sapUiSizeCozy .sapUiTableFtr {
  height: 3rem;
  line-height: 3rem;
  padding-top: 0;
}
.sapUiTableHdr {
  padding: 0;
  background-color: transparent;
  min-height: 1.5rem;
  margin-bottom: 0.125rem;
  height: auto;
}
.sapUiTableHdrTitle {
  font-size: 18px;
  height: 100%;
  color: #ffffff;
}
.sapUiTableHdr,
.sapUiTableTbr,
.sapUiTableExt {
  border-bottom: 2px solid transparent;
  box-sizing: border-box;
}
.sapUiTableTbr {
  height: 2rem;
}
.sapUiSizeCozy .sapUiTableTbr {
  height: 3rem;
}
.sapUiTableCnt {
  box-sizing: border-box;
  position: relative;
  overflow: hidden;
  /* avoid scrollbar for column resize handlers */
  border-left: 1px solid #ffffff;
  border-right: 1px solid #ffffff;
  border-top: 1px solid #999999;
  background-color: #000000;
}
.sapUiTableOuterAfter,
.sapUiTableOuterBefore {
  display: none;
}
/*******************************************************************************
 * OTHERS
 ******************************************************************************/
.sapUiTableNoOpacity {
  opacity: 0;
  overflow: hidden;
}
.sapUiTableHiddenSizeDetector {
  position: absolute;
  left: -1000px;
  visibility: hidden;
  display: inline-block;
}
.sapMNavItemFlipping .sapUiTable {
  opacity: 0;
}
/*******************************************************************************
 * OVERLAY / NODATA AREA
 ******************************************************************************/
.sapUiTableCtrlEmptyMsg {
  position: absolute;
  top: 50%;
  display: inline-block;
  left: 0;
  width: 100%;
  box-sizing: border-box;
  padding: 0.2rem 1rem;
  transform: translateY(-50%);
  white-space: pre-wrap;
}
.sapUiTableCtrlEmpty,
.sapUiTableOverlayArea {
  display: none;
  position: absolute;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  text-align: center;
  box-sizing: border-box;
}
.sapUiTableCtrlEmpty {
  background-color: #000000;
  font-size: 16px;
}
.sapUiTableOverlayArea {
  background-color: transparent;
  z-index: 10;
}
.sapUiTableEmpty .sapUiTableCtrlEmpty {
  display: block;
}
.sapUiTableEmpty .sapUiTableRowHdr {
  opacity: 0;
}
.sapUiTableOverlayArea:focus,
.sapUiTableCtrlEmpty:focus {
  outline-width: 2px;
  outline-style: dotted;
  outline-offset: -3px;
  outline-color: #ffffff;
}
html[data-sap-ui-browser^="ie"] .sapUiTableOverlayArea:focus,
html[data-sap-ui-browser^="ed"] .sapUiTableOverlayArea:focus,
html[data-sap-ui-browser^="ie"] .sapUiTableCtrlEmpty:focus,
html[data-sap-ui-browser^="ed"] .sapUiTableCtrlEmpty:focus {
  outline-width: 0px;
}
html[data-sap-ui-browser^="ie"] .sapUiTableOverlayArea:focus:before,
html[data-sap-ui-browser^="ed"] .sapUiTableOverlayArea:focus:before,
html[data-sap-ui-browser^="ie"] .sapUiTableCtrlEmpty:focus:before,
html[data-sap-ui-browser^="ed"] .sapUiTableCtrlEmpty:focus:before {
  position: absolute;
  top: 2px;
  left: 2px;
  right: 2px;
  bottom: 2px;
  border-width: 2px;
  border-style: dotted;
  border-color: #ffffff;
  content: "";
  pointer-events: none;
}
.sapUiTable.sapUiTableOverlay {
  /* Since in visibleRowCountMode=Auto, the table has no height, the overlay must be applied to every child div
		of the table root div. Because they have some borders and margins applied, the strech the overlay by 2 pixels to top and
		bottom to be able to cover margins and borders*/
}
.sapUiTable.sapUiTableOverlay > div:after {
  content: '';
  z-index: 9;
  /* same as sapUiOverlay */
  background-color: rgba(0, 0, 0, 0.8);
  position: absolute;
  top: -2px;
  left: 0;
  right: 0;
  bottom: -2px;
  /* same as sapUiOverlay */
}
.sapUiTable.sapUiTableOverlay > div {
  position: relative;
}
.sapUiTable.sapUiTableOverlay .sapUiTableOuterBefore,
.sapUiTable.sapUiTableOverlay .sapUiTableOuterAfter,
.sapUiTable.sapUiTableOverlay .sapUiTableOverlayArea {
  display: block;
}
.sapUiTable.sapUiTableOverlay .sapUiTableHdr,
.sapUiTable.sapUiTableOverlay .sapUiTableTbr,
.sapUiTable.sapUiTableOverlay .sapUiTableExt,
.sapUiTable.sapUiTableOverlay .sapUiTableFtr,
.sapUiTable.sapUiTableOverlay .sapUiTableColHdrCnt,
.sapUiTable.sapUiTableOverlay .sapUiTableColRsz,
.sapUiTable.sapUiTableOverlay .sapUiTableCCnt,
.sapUiTable.sapUiTableOverlay .sapUiTableHSb {
  pointer-events: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
/*******************************************************************************
 * FOCUS VISUALIZATION OF TABLE CELLS
 ******************************************************************************/
/*
 * NOTE:
 * IE, Edge : use native outline rendering. It has correct contrast and offset.
 * Any attempt to specify another outline in CSS breaks it.
 * -> No special adaptations here
 */
/* WebKit */
.sapUiTableTr > td:focus:not(*:root),
.sapUiTableCol:focus:not(*:root),
.sapUiTableRowHdr:focus:not(*:root),
.sapUiTableColRowHdr:focus:not(*:root) {
  outline-offset: -3px;
  outline: 2px dotted #ffffff;
}
/* Firefox */
@supports (-moz-appearance:meterbar) {
  .sapUiTableTr > td:focus,
  .sapUiTableCol:focus,
  .sapUiTableRowHdr:focus,
  .sapUiTableColRowHdr:focus {
    outline-offset: -3px;
    outline: 2px dotted #ffffff;
  }
}
/*******************************************************************************
 * COLUMN HEADERS
 ******************************************************************************/
.sapUiTableColHdrCnt {
  display: none;
  position: relative;
  background-color: #000000;
  max-width: 100%;
  overflow: hidden;
  white-space: nowrap;
  min-height: 2rem;
  border-top: 1px solid #ffffff;
  border-bottom: 1px solid #ffffff;
  color: #ffffff;
}
/* FIX for IE fixed columns */
html[data-sap-ui-browser^="ie"] .sapUiTableColHdrCnt {
  width: 100%;
}
.sapUiTableCHdr .sapUiTableColHdrCnt {
  display: block;
}
.sapUiSizeCozy .sapUiTableColHdrCnt {
  min-height: 3rem;
  border-bottom-color: #ffffff;
}
.sapUiTableColRowHdr {
  display: none;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  width: 2rem;
  box-sizing: border-box;
  min-height: 2rem;
  border-right: 1px solid #ffffff;
  color: #ffffff;
  background-color: #000000;
}
.sapUiTableRSel .sapUiTableColRowHdr {
  display: inline-block;
}
.sapUiSizeCozy .sapUiTableColRowHdr {
  width: 3rem;
  min-height: 3rem;
}
.sapUiSizeCozy .sapUiTableColRowHdr:active {
  background-color: #7a5100;
}
.sapUiSizeCondensed .sapUiTableColRowHdr {
  width: 2rem;
}
.sapUiTableColRowHdr:hover {
  background-color: #0f0f0f;
}
.sapUiTableColRowHdrIco {
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}
.sapUiTableSelModeMultiToggle .sapUiTableColRowHdr.sapUiTableSelAllEnabled .sapUiTableColRowHdrIco {
  display: block;
}
.sapUiTableColRowHdrIco::after {
  display: block;
  content: '';
  position: absolute;
  border: 2px #ffffff solid;
  background-color: #000000;
  font-family: "SAP-icons";
  text-align: center;
  color: #0f5d94;
  box-sizing: border-box;
  margin: auto;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 16px;
  height: 16px;
  font-size: 11px;
}
.sapUiTableColRowHdr:not(.sapUiTableSelAll) .sapUiTableColRowHdrIco::after {
  content: '\e05b';
}
.sapUiSizeCozy .sapUiTableColRowHdrIco::after {
  width: 1.375rem;
  height: 1.375rem;
  font-size: 1rem;
}
.sapUiTableSelNoCheckbox .sapUiTableColRowHdr:not(.sapUiTableSelAll) .sapUiTableColRowHdrIco::after,
.sapUiTableSelNoCheckbox .sapUiTableColRowHdrIco::after {
  content: "\e224";
  color: #ffffff;
  background-color: transparent;
  border: none;
  font-size: 1rem;
  width: 20px;
  height: 20px;
}
.sapUiTableColHdrFixed,
.sapUiTableColHdrScr {
  display: inline-block;
  vertical-align: top;
  overflow: hidden;
  height: 100%;
  white-space: nowrap;
  box-sizing: border-box;
}
.sapUiTableColHdrFixed {
  max-width: 100%;
}
.sapUiTableColHdrScr {
  margin: 0;
}
.sapUiTableColHdrScr.sapUiTableHasNoColumns {
  min-height: 2rem;
}
.sapUiSizeCozy .sapUiTableColHdrScr.sapUiTableHasNoColumns {
  min-height: 3rem;
}
.sapUiTableCol {
  vertical-align: top;
  box-sizing: border-box;
  min-height: 2rem;
  padding-top: 7px;
  padding-bottom: 7px;
  border-right: 1px solid #ffffff;
  background-color: #000000;
  color: #ffffff;
}
.sapUiTableColHdrTr > .sapUiTableCol {
  position: relative;
}
.sapUiSizeCozy .sapUiTableCol {
  padding-top: 0;
  padding-bottom: 0;
  min-height: 3rem;
}
.sapUiSizeCozy .sapUiTableCol:active {
  background-color: #7a5100;
}
.sapUiSizeCozy .sapUiTableCol:active > div > label {
  color: #ffffff;
}
.sapUiTableCol:hover {
  background-color: #0f0f0f;
  color: #ffffff;
}
.sapUiTableColHdrFixed .sapUiTableCol.sapUiTableColLastFixed {
  border-right: 1px solid #ffffff;
}
.sapUiTableColCell {
  text-overflow: ellipsis;
  overflow: hidden;
  vertical-align: middle;
  white-space: normal;
  padding: 0 0.5rem;
  position: relative;
}
.sapUiTableColCell.sapUiTableColSorted,
.sapUiTableColCell.sapUiTableColFiltered {
  padding-right: 24px;
}
.sapUiTableColCell.sapUiTableColSorted.sapUiTableColFiltered {
  padding-right: 38px;
}
.sapUiSizeCozy .sapUiTableColCell {
  height: 3rem;
}
.sapUiSizeCozy .sapUiTableColCell > * {
  height: 100%;
  line-height: 3rem;
}
.sapUiTableColSF::after {
  content: "";
  position: absolute;
  right: 0;
  top: 0;
  font-family: SAP-Icons;
  font-size: 0.75rem;
  padding-right: 0.375rem;
  color: #ffffff;
  line-height: 18px;
}
.sapUiSizeCozy .sapUiTableColSF::after {
  line-height: 3rem;
}
.sapUiTableColSorted::after {
  content: "\e1fd";
}
.sapUiTableColSortedD::after {
  content: "\e1fc";
}
.sapUiTableColFiltered::after {
  content: "\e076";
}
.sapUiTableColFiltered.sapUiTableColSorted::after {
  content: "\e076\00a0\e1fd";
}
.sapUiTableColFiltered.sapUiTableColSortedD::after {
  content: "\e076\00a0\e1fc";
}
.sapUiTableColCellMenu div {
  display: inline-block;
  position: absolute;
  font-family: 'SAP-icons';
  font-size: 1.375rem;
  text-align: center;
  -moz-transform: translatey(-50%);
  -ms-transform: translatey(-50%);
  -webkit-transform: translatey(-50%);
  transform: translatey(-50%);
  top: 50%;
  color: #ffffff;
}
.sapUiTableColCellMenu .sapUiTableColResizer {
  right: 0;
  width: 2rem;
  padding-left: 0.25rem;
  padding-right: 0.25rem;
  cursor: default;
}
.sapUiTableColCellMenu .sapUiTableColDropDown {
  left: 0;
  width: 2rem;
  right: 2rem;
  text-align: center;
  padding-left: 0.25rem;
  padding-right: 0.25rem;
  cursor: default;
}
.sapUiTableColCellMenu .sapUiTableColDropDown:active {
  color: #000000;
}
/*******************************************************************************
 * ROW HEADERS
 ******************************************************************************/
.sapUiTableRowHdrScr {
  display: none;
  position: absolute;
  top: 0px;
  left: 0px;
  width: 2rem;
  box-sizing: border-box;
  min-height: 2rem;
}
.sapUiSizeCondensed .sapUiTableRowHdrScr {
  width: 2rem;
  min-height: 1.5rem;
}
.sapUiSizeCozy .sapUiTableRowHdrScr {
  width: 3rem;
  min-height: 3rem;
}
.sapUiTableRSel .sapUiTableRowHdrScr {
  display: block;
}
.sapUiTableRowHdr {
  background-color: #000000;
  border-bottom: 1px solid #999999;
  border-right: 1px solid #ffffff;
  box-sizing: border-box;
  position: relative;
}
.sapUiTableRowHdr.sapUiTableRowSel {
  background-color: #0f5d94;
}
.sapUiTableRowHdr.sapUiTableRowHvr {
  background-color: #7a5100;
}
.sapUiTableRowHdr.sapUiTableRowSel.sapUiTableRowHvr {
  background-color: #7a5100;
}
.sapUiTableSelModeNone:not(.sapUiTableGroupMode) .sapUiTableRowHdr {
  width: 0;
  border-left: 0;
  border-right: 0;
}
.sapUiTableRowHdr.sapUiTableFixedPreBottomRow {
  border-bottom: 1px solid #ffffff;
}
.sapUiTableRowHdr:last-child {
  border-bottom: 1px solid transparent;
}
.sapUiTableRowHdr::after {
  display: none;
  content: '';
  position: absolute;
  border: 2px #ffffff solid;
  background-color: #000000;
  font-family: "SAP-icons";
  text-align: center;
  color: #0f5d94;
  box-sizing: border-box;
  margin: auto;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 16px;
  height: 16px;
  font-size: 11px;
}
.sapUiSizeCozy .sapUiTableRowHdr::after {
  width: 1.375rem;
  height: 1.375rem;
  font-size: 1rem;
}
.sapUiTableRowHdr.sapUiTableRowHvr::after {
  border-color: #ffffff;
}
.sapUiTableRowHdr.sapUiTableRowSel::after {
  content: '\e05b';
}
.sapUiTableSelModeMultiToggle .sapUiTableRowHdr::after {
  display: block;
}
.sapUiTableSelModeMultiToggle.sapUiTableSelNoCheckbox .sapUiTableRowHdr::after,
.sapUiTableSelModeMultiToggle .sapUiTableRowHdr.sapUiTableRowHidden::after,
.sapUiTableSelModeMultiToggle .sapUiTableRowHdr.sapUiAnalyticalTableDummy::after,
.sapUiTableSelModeMultiToggle .sapUiTableRowHdr.sapUiTableGroupHeader::after,
.sapUiTableSelModeMultiToggle .sapUiTableRowHdr.sapUiAnalyticalTableSum::after {
  display: none;
}
.sapUiTableAriaRowSel {
  font-size: 0;
}
/*******************************************************************************
 * INNER TABLE
 ******************************************************************************/
.sapUiTableCCnt {
  position: relative;
  overflow: hidden;
  border-bottom: 1px solid #ffffff;
}
.sapUiTableCtrlCnt {
  box-sizing: border-box;
  min-height: 2rem;
}
.sapUiSizeCozy .sapUiTableCtrlCnt {
  min-height: 3rem;
}
.sapUiSizeCondensed .sapUiTableCtrlCnt {
  min-height: 1.5rem;
}
.sapUiTableCtrl {
  position: relative;
  table-layout: fixed;
  width: 100%;
  border-collapse: separate;
  border-spacing: 0;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
.sapUiTableCtrlScr {
  position: relative;
  margin: 0;
  overflow: hidden;
  box-sizing: border-box;
}
.sapUiTableVScr .sapUiTableCtrlScr {
  border-right: 1px solid #ffffff;
}
.sapUiTableCtrlScrFixed {
  float: left;
  max-width: 100%;
  overflow: hidden;
}
.sapUiTableRSel .sapUiTableCtrlScr,
.sapUiTableRSel .sapUiTableCtrlScrFixed {
  margin-left: 2rem;
}
.sapUiSizeCozy .sapUiTableRSel .sapUiTableCtrlScr,
.sapUiSizeCozy.sapUiTableRSel .sapUiTableCtrlScr,
.sapUiSizeCozy .sapUiTableRSel .sapUiTableCtrlScrFixed,
.sapUiSizeCozy.sapUiTableRSel .sapUiTableCtrlScrFixed {
  margin-left: 3rem;
}
.sapUiSizeCondensed .sapUiTableRSel .sapUiTableCtrlScr,
.sapUiSizeCondensed.sapUiTableRSel .sapUiTableCtrlScr,
.sapUiSizeCondensed .sapUiTableRSel .sapUiTableCtrlScrFixed,
.sapUiSizeCondensed.sapUiTableRSel .sapUiTableCtrlScrFixed {
  margin-left: 2rem;
}
.sapUiTableCtrlCol {
  /* row defining the width of the cols */
  height: 0px !important;
  margin: 0;
  padding: 0;
  border: none;
}
.sapUiTableCtrlCol > th {
  height: inherit;
  margin: 0;
  padding: 0;
  border: none;
}
.sapUiTableCtrlCol > th > * {
  display: none;
}
.sapUiTableTr {
  color: #ffffff;
  font-weight: normal;
  box-sizing: border-box;
}
.sapUiTableCtrl tr {
  height: 2rem;
}
.sapUiSizeCozy .sapUiTableCtrl tr {
  height: 3rem;
}
.sapUiSizeCondensed .sapUiTableCtrl tr {
  height: 1.5rem;
}
.sapUiTableCtrl tr.sapUiTableRowHvr {
  background-color: #7a5100;
  color: #ffffff;
}
.sapUiTableResizing .sapUiTableCtrlCnt tr {
  pointer-events: none;
}
.sapUiTableTr > td {
  border-right: 1px solid #ffffff;
  border-bottom: 1px solid #999999;
  padding: 0;
  vertical-align: middle;
  box-sizing: border-box;
}
.sapUiTableColHdrTr > td:last-child,
.sapUiTableTr > td:last-child {
  border-right: none;
}
.sapUiTableTr > .sapUiTableTDDummy {
  border-bottom: none;
  background: #000000;
}
.sapUiTableTr > td.sapUiTableTdFirst {
  padding-left: 2px;
  /* support for left border in RowOnly selection behavior */
}
.sapUiTableRSel .sapUiTableTr > td.sapUiTableTdFirst {
  padding-left: 0;
}
.sapUiTableRSel .sapUiTableTr > td:first-child {
  border-right: none;
}
.sapUiTableFixedLastTopRow,
.sapUiTableFixedLastTopRow > td,
.sapUiTableFixedPreBottomRow > td {
  border-bottom: 1px solid #ffffff;
}
.sapUiTableCtrl:last-child tr:not(.sapUiTableFixedLastTopRow):last-child > td,
.sapUiTableCtrlScrFixed tr:not(.sapUiTableFixedLastTopRow):not(.sapUiTableFixedPreBottomRow):last-child > td,
.sapUiTableCtrlRowFixedBottom tr:not(.sapUiTableFixedLastTopRow):last-child > td {
  border-bottom: 1px solid transparent;
  /*Hide last row bottom cell border*/
}
.sapUiTableCtrlFixed .sapUiTableColHdrTr > td:last-child,
.sapUiTableCtrlFixed .sapUiTableTr:not(.sapUiTableGroupHeader) > td:last-child {
  border-right: 1px solid #ffffff;
}
.sapUiTableTr.sapUiTableRowHvr > td:not(.sapUiTableTDDummy) {
  background-color: #7a5100;
}
.sapUiTableTr.sapUiTableRowSel:not(.sapUiTableGroupHeader) > td:not(.sapUiTableTDDummy) {
  background-color: #0f5d94;
}
.sapUiTableTr.sapUiTableRowHvr.sapUiTableRowSel:not(.sapUiTableGroupHeader) > td:not(.sapUiTableTDDummy) {
  background-color: #7a5100;
}
.sapUiTableCell {
  height: inherit;
  text-overflow: ellipsis;
  overflow: hidden;
  padding: 0 0.5rem;
  white-space: nowrap;
  box-sizing: border-box;
}
.sapUiSizeCondensed .sapUiTableCell,
.sapUiSizeCondensed .sapUiTableCell > .sapUiTableNoCondensedPadding {
  padding: 0;
}
.sapUiSizeCondensed .sapUiTableCell > *,
.sapUiSizeCondensed .sapUiTableCondensedPadding {
  box-sizing: border-box;
  padding: 0 0.5rem;
}
.sapUiTableCellFlex {
  display: flex;
}
.sapUiTableRowHidden .sapUiTableCell,
.sapUiTableCellHidden .sapUiTableCell {
  visibility: hidden;
  /* hidden row (no content) */
}
/*******************************************************************************
 * HORIZONTAL / VERTICAL SCROLLBAR
 ******************************************************************************/
/*
 * BEHAVIOR CLASSES:
 * -----------------
 * sapUiTableVScr   - display vertical scrollbar
 * sapUiTableHScr   - display horizontal scrollbar
 */
.sapUiTableVSb {
  display: none;
  position: absolute;
  top: 0px;
  right: 0px;
  bottom: 0px;
  width: 16px;
  box-sizing: border-box;
  overflow-x: hidden;
  overflow-y: scroll;
  background-color: #000000;
}
html[data-sap-ui-browser^="ie"] .sapUiTableVSb {
  width: 18px;
}
html[data-sap-ui-browser^="ed"] .sapUiTableVSb {
  width: 12px;
  -ms-overflow-style: scrollbar;
}
.sapUiTableVSbContent {
  width: 1px;
}
.sapUiTableVScr .sapUiTableVSb {
  display: block;
}
.sapUiTableVScr .sapUiTableHSb,
.sapUiTableVScr .sapUiTableCtrlScr,
.sapUiTableVScr .sapUiTableColHdrScr {
  margin-right: 16px;
}
html[data-sap-ui-browser^="ie"] .sapUiTableVScr .sapUiTableHSb,
html[data-sap-ui-browser^="ie"] .sapUiTableVScr .sapUiTableCtrlScr,
html[data-sap-ui-browser^="ie"] .sapUiTableVScr .sapUiTableColHdrScr {
  margin-right: 18px;
}
html[data-sap-ui-browser^="ed"] .sapUiTableVScr .sapUiTableHSb,
html[data-sap-ui-browser^="ed"] .sapUiTableVScr .sapUiTableCtrlScr,
html[data-sap-ui-browser^="ed"] .sapUiTableVScr .sapUiTableColHdrScr {
  margin-right: 12px;
}
/* Hide last border right of column header and cell when no vertical scroll is available */
.sapUiTable:not(.sapUiTableVScr) .sapUiTableColHdrScr .sapUiTableCol:last-child,
.sapUiTable:not(.sapUiTableVScr) .sapUiTableCtrlScroll .sapUiTableTr > td:last-child {
  border-right: none;
}
.sapUiTableHSb {
  display: none;
  position: relative;
  height: 16px;
  margin: 0;
  box-sizing: border-box;
  overflow-x: scroll;
  overflow-y: hidden;
  background-color: #000000;
}
.sapUiTableVScr .sapUiTableHSb {
  border-right: 1px solid #ffffff;
}
html[data-sap-ui-browser^="ie"] .sapUiTableHSb {
  height: 18px;
}
html[data-sap-ui-browser^="ed"] .sapUiTableHSb {
  height: 12px;
  -ms-overflow-style: scrollbar;
}
.sapUiTableHSbContent {
  height: 1px;
}
.sapUiTableHScr .sapUiTableHSb {
  display: block;
}
.sapUiTableHScr .sapUiTableFtr {
  border-top: 1px solid #ffffff;
}
.sapUiTableHScr .sapUiTableColReorderIndicator,
.sapUiTableHScr .sapUiTableColRsz {
  bottom: 16px;
}
html[data-sap-ui-browser^="ie"] .sapUiTableHScr .sapUiTableColReorderIndicator,
html[data-sap-ui-browser^="ie"] .sapUiTableHScr .sapUiTableColRsz {
  bottom: 18px;
}
html[data-sap-ui-browser^="ed"] .sapUiTableHScr .sapUiTableColReorderIndicator,
html[data-sap-ui-browser^="ed"] .sapUiTableHScr .sapUiTableColRsz {
  bottom: 12px;
}
html.sap-tablet:not(.sap-desktop) .sapUiTableVSb::-webkit-scrollbar,
html.sap-phone .sapUiTableVSb::-webkit-scrollbar,
html.sap-tablet:not(.sap-desktop) .sapUiTableHSb::-webkit-scrollbar,
html.sap-phone .sapUiTableHSb::-webkit-scrollbar {
  -webkit-appearence: none;
  width: 0.45rem;
  height: 0.45rem;
  background-color: #000000;
}
html.sap-tablet:not(.sap-desktop) .sapUiTableVSb::-webkit-scrollbar-thumb,
html.sap-phone .sapUiTableVSb::-webkit-scrollbar-thumb,
html.sap-tablet:not(.sap-desktop) .sapUiTableHSb::-webkit-scrollbar-thumb,
html.sap-phone .sapUiTableHSb::-webkit-scrollbar-thumb {
  background-color: #999999;
  border-top: 0.125rem solid #999999;
  border-left: 0.125rem solid #999999;
  border-right: 0.125rem solid #999999;
  border-bottom: 0.125rem solid #999999;
  width: 0.25rem;
  height: 0.25rem;
}
html.sap-tablet:not(.sap-desktop) .sapUiTableVSb,
html.sap-phone .sapUiTableVSb {
  width: 0.45rem;
}
html.sap-tablet:not(.sap-desktop) .sapUiTableHSb,
html.sap-phone .sapUiTableHSb {
  height: 0.45rem;
}
html.sap-tablet:not(.sap-desktop) .sapUiTableVScr .sapUiTableCtrlScr,
html.sap-phone .sapUiTableVScr .sapUiTableCtrlScr,
html.sap-tablet:not(.sap-desktop) .sapUiTableVScr .sapUiTableColHdrScr,
html.sap-phone .sapUiTableVScr .sapUiTableColHdrScr,
html.sap-tablet:not(.sap-desktop) .sapUiTableVScr .sapUiTableHSb,
html.sap-phone .sapUiTableVScr .sapUiTableHSb {
  margin-right: 0.45rem;
}
html.sap-tablet:not(.sap-desktop) .sapUiTableHScr .sapUiTableColReorderIndicator,
html.sap-phone .sapUiTableHScr .sapUiTableColReorderIndicator,
html.sap-tablet:not(.sap-desktop) .sapUiTableHScr .sapUiTableColRsz,
html.sap-phone .sapUiTableHScr .sapUiTableColRsz {
  bottom: 0.45rem;
}
.sapUiTableDragDrop {
  cursor: move;
}
.sapUiTableDragDrop .sapUiTableCCnt,
.sapUiTableDragDrop .sapUiTableColRsz {
  pointer-events: none;
}
.sapUiTableDragDrop .sapUiTableCol {
  cursor: move;
}
.sapUiTableDragDrop .sapUiTableCol * {
  cursor: move;
}
/* Column Reordering */
.sapUiTableCol.sapUiTableColReorderGhost {
  position: absolute;
  width: auto;
  max-width: 200px;
  cursor: pointer;
  border: 1px solid #999999;
  background-color: #000000;
  box-shadow: 0 0.375rem 0.75rem 0 rgba(255, 255, 255, 0.3), 0 0 0.125rem 0 rgba(255, 255, 255, 0.3);
}
.sapUiSizeCozy.sapUiTableCol.sapUiTableColReorderGhost .sapUiTableColCell > * {
  height: 100%;
  line-height: 3rem;
}
.sapUiSizeCozy.sapUiTableCol.sapUiTableColReorderGhost {
  padding-top: 0;
  padding-bottom: 0;
}
.sapUiTableColReorderIndicator {
  position: absolute;
  top: 0;
  bottom: 0;
  left: auto;
  /*set dynamically*/
  width: 8px;
  margin-left: -6px;
  z-index: 3;
  display: none;
}
html[dir=rtl] .sapUiTableColReorderIndicator {
  margin-right: -4px;
}
.sapUiTableColReorderIndicatorActive {
  display: block;
}
html[data-sap-ui-animation^="on"] .sapUiTableColReorderIndicator {
  transition-property: left;
  transition-duration: 100ms;
}
.sapUiTableColReorderIndicatorInner {
  position: absolute;
  top: 8px;
  left: 4px;
  bottom: 0;
  width: 2px;
  background-color: #03b803;
}
.sapUiTableColReorderIndicatorArrow {
  position: absolute;
  top: 0;
  left: 1px;
  width: 0;
}
.sapUiTableColReorderIndicatorArrow:after,
.sapUiTableColReorderIndicatorArrow:before {
  position: absolute;
  top: 0;
  content: " ";
}
.sapUiTableColReorderIndicatorArrow:after {
  height: 4px;
  width: 4px;
  border-radius: 2px;
  top: 2px;
  left: 2px;
  background-color: #000000;
}
.sapUiTableColReorderIndicatorArrow:before {
  height: 8px;
  width: 8px;
  border-radius: 4px;
  background-color: #03b803;
}
.sapUiTableColReorderFade {
  position: relative;
}
.sapUiTableColReorderFade:after {
  content: " ";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: -1px;
  z-index: 3;
  border-left: 1px solid #03b803;
  border-right: 1px solid #03b803;
  background-color: rgba(0, 0, 0, 0.8);
  box-sizing: border-box;
}
.sapUiTableLastRow .sapUiTableColReorderFade:after {
  border-bottom: 1px solid #03b803;
}
/* Column Resizing */
.sapUiTableColRsz {
  position: absolute;
  top: 0px;
  width: 5px;
  margin-left: -4px;
  bottom: 0px;
  cursor: col-resize;
  z-index: 3;
  box-sizing: border-box;
  left: -5px;
}
html[dir=rtl] .sapUiTableColRsz {
  margin-right: -3px;
  right: -5px;
  /* it becomes "left" in RTL mode */
  left: auto;
}
html.sap-desktop .sapUiTableColRsz:hover {
  background-color: #03b803;
  opacity: 0.5;
}
.sapUiTableColRszActive,
html.sap-desktop .sapUiTableColRsz.sapUiTableColRszActive:hover {
  background-color: #03b803;
  opacity: 1;
}
/* Table Height Resizing */
.sapUiTableHeightResizer {
  box-sizing: border-box;
  height: 5px;
  width: 100%;
  position: relative;
  text-align: center;
}
.sapUiTableHeightResizer::before {
  font-family: SAP-icons;
  content: "\e1fb";
  position: absolute;
  top: 0px;
  line-height: 5px;
}
.sapUiTableHeightResizer:focus {
  outline: 0;
}
.sapUiTableHeightResizer:hover {
  cursor: n-resize;
  background-color: #b7b7b7;
  color: #ffffff;
}
.sapUiTableInteractiveResizerGhost {
  position: absolute;
  background-color: #03b803;
  color: #000000;
  z-index: 10000;
}
/*2rem*/
/*1.5rem*/
/*3rem*/
.sapUiTableTreeIcon {
  display: none;
  width: 25px;
  padding: 0;
  flex-shrink: 0;
  margin-right: 6px;
}
.sapUiSizeCondensed .sapUiTableCell > .sapUiTableTreeIcon {
  padding: 0;
  margin-right: 1px;
}
.sapUiSizeCondensed .sapUiTableCell > .sapUiTableTreeIcon::before {
  line-height: 1.5rem;
}
.sapUiTableTreeIcon:focus {
  outline: 2px dotted #ffffff;
}
html[data-sap-ui-browser^="ed"] .sapUiTableTreeIcon:focus,
html[data-sap-ui-browser^="ie"] .sapUiTableTreeIcon:focus {
  outline: 0px;
}
html[data-sap-ui-browser^="ed"] .sapUiTableTreeIcon:focus::before,
html[data-sap-ui-browser^="ie"] .sapUiTableTreeIcon:focus::before {
  outline: 2px dotted #ffffff;
}
.sapUiTableTreeIcon:focus:not(*:root) {
  /*Webkit*/
  outline-offset: -1px;
}
@supports (-moz-appearance:meterbar) {
  /* Firefox */
  .sapUiTableTreeIcon:focus {
    outline-offset: -1px;
  }
}
.sapUiTableTreeMode .sapUiTableTreeIcon,
.sapUiTableTreeMode .sapUiTableTreeIcon::before {
  display: inline-block;
}
.sapUiTableGroupIcon {
  display: none;
  font-size: 0.875rem;
  cursor: pointer;
  line-height: 24px;
  position: absolute;
  left: 0px;
  top: 2px;
  bottom: 0px;
  white-space: nowrap;
  font-weight: normal;
  color: #ffffff;
  overflow: hidden;
  text-overflow: ellipsis;
  min-width: 48px;
  background-color: transparent;
  padding-right: 40px;
  background: #000000;
  z-index: 1;
  box-sizing: border-box;
  border: 3px solid transparent;
  background-clip: content-box;
}
.sapUiSizeCondensed .sapUiTableGroupIcon {
  line-height: 16px;
}
.sapUiSizeCozy .sapUiTableGroupIcon {
  line-height: 40px;
}
.sapUiTableGroupIcon::before,
.sapUiTableTreeIcon::before {
  font-family: "SAP-icons";
  font-size: 12px;
  font-weight: normal;
  display: none;
  width: 2rem;
  text-align: center;
  vertical-align: middle;
  color: #ffffff;
}
.sapUiTableGroupIcon.sapUiTableGroupIconOpen::before,
.sapUiTableTreeIcon.sapUiTableTreeIconNodeOpen::before {
  content: '\e1e2';
}
.sapUiTableGroupIcon.sapUiTableGroupIconClosed::before,
.sapUiTableTreeIcon.sapUiTableTreeIconNodeClosed::before {
  content: '\e066';
}
html[dir=rtl] .sapUiTableGroupIcon.sapUiTableGroupIconClosed::before,
html[dir=rtl] .sapUiTableTreeIcon.sapUiTableTreeIconNodeClosed::before {
  content: '\e067';
}
.sapUiTableGroupIcon:after {
  display: none;
  position: absolute;
  content: "";
  width: 40px;
  top: 1px;
  bottom: 1px;
  right: 0;
  box-shadow: inset 40px 0px 20px -20px #000000;
}
.sapUiTableRowHdr.sapUiTableGroupHeader {
  border-right: none;
}
.sapUiTableRowHdr.sapUiTableGroupHeader:focus .sapUiTableGroupIcon {
  outline-width: 2px;
  outline-style: dotted;
  outline-offset: 0px;
  outline-color: #ffffff;
}
.sapUiTableCtrl tr.sapUiTableGroupHeader,
.sapUiTableRowHdr.sapUiTableGroupHeader {
  background-color: #000000;
  border-color: #999999;
  color: #ffffff;
}
.sapUiTableGroupMode .sapUiTableRowHdr.sapUiTableGroupHeader > .sapUiTableGroupIcon,
.sapUiTableGroupMode .sapUiTableRowHdr.sapUiTableGroupHeader > .sapUiTableGroupIcon::before,
.sapUiTableGroupMode .sapUiTableRowHdr.sapUiTableGroupHeader > .sapUiTableGroupIcon:after {
  display: inline-block;
}
.sapUiTableGroupMode .sapUiTableGroupHeader td {
  border-right: none;
}
.sapUiTableGroupMode .sapUiTableRowHdr {
  border-left: 1px solid #ffffff;
}
.sapUiTableGroupMode .sapUiTableGroupHeader.sapUiTableRowHvr,
.sapUiTableGroupMode .sapUiTableRowHvr .sapUiTableGroupIcon {
  background-color: #7a5100;
}
.sapUiTableGroupMode .sapUiTableRowHvr .sapUiTableGroupIcon:after {
  box-shadow: inset 40px 0px 20px -20px #7a5100;
}
.sapUiTableGroupMode.sapUiAnalyticalTable .sapUiTableGroupHeader .sapUiTableTdFirst:not(.sapUiTableMeasureCell) .sapUiTableCell {
  display: none;
}
.sapUiTableGroupMode.sapUiAnalyticalTable .sapUiTableGroupHeader .sapUiTableCell > .sapUiAnalyticalTableGroupCellHidden,
.sapUiTableGroupMode.sapUiAnalyticalTable .sapUiAnalyticalTableSum .sapUiTableCell > .sapUiAnalyticalTableSumCellHidden {
  visibility: hidden;
  /* hidden cell content*/
}
html.sap-tablet:not(.sap-desktop) .sapUiTableGroupMode .sapUiTableCtrlScroll .sapUiTableGroupHeader td:last-child,
html.sap-phone .sapUiTableGroupMode .sapUiTableCtrlScroll .sapUiTableGroupHeader td:last-child {
  padding-right: 3rem;
}
.sapUiTableGroupMode .sapUiTableRowHdr::before {
  content: '';
  display: block;
  position: absolute;
  top: -1px;
  left: -1px;
  right: 0px;
  box-sizing: border-box;
  border-top: 1px solid #999999;
  height: 1px;
}
.sapUiTableGroupMode .sapUiTableRowHdr.sapUiTableFixedFirstBottomRow::before {
  border-top-color: #ffffff;
}
.sapUiTableGroupShield {
  position: absolute;
  top: 0px;
  left: -1px;
  bottom: -1px;
  box-sizing: border-box;
  width: 0px;
  margin-left: 0px;
  background-color: #000000;
  pointer-events: none;
}
.sapUiTableGroupMode .sapUiTableRowHdr:focus:not(.sapUiTableGroupHeader)::before {
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  border: 2px dotted #ffffff;
  pointer-events: none;
  z-index: 1;
  height: auto;
}
.sapUiTableRowHdr.sapUiTableGroupHeader:focus:not(*:root),
.sapUiTableGroupMode .sapUiTableRowHdr:focus:not(*:root) {
  outline: 0px;
}
/*Separation needed from declaration above because of IE*/
.sapUiTableRowHdr.sapUiTableGroupHeader,
.sapUiTableGroupMode .sapUiTableRowHdr:focus {
  outline: 0px;
}
.sapUiTableGroupMode .sapUiTableTr.sapUiTableGroupHeader > .sapUiTableTDDummy {
  border-bottom: 1px solid #999999;
  background: #000000;
}
.sapUiTableRowHdr.sapUiTableGroupHeader.sapUiTableFixedPreBottomRow,
.sapUiTableGroupMode .sapUiTableTr.sapUiTableGroupHeader.sapUiTableFixedPreBottomRow > .sapUiTableTDDummy {
  border-bottom-color: #ffffff;
}
.sapUiTableGroupMenuButton {
  display: none;
}
.sapUiTableGroupMode.sapUiAnalyticalTable .sapUiTableRowHdr.sapUiTableGroupHeader .sapUiTableGroupMenuButton {
  position: absolute;
  min-width: 2.5rem;
  text-align: center;
  z-index: 2;
  right: 0;
  top: 50%;
  -moz-transform: translatey(-50%);
  -ms-transform: translatey(-50%);
  -webkit-transform: translatey(-50%);
  transform: translatey(-50%);
  background: #000000;
  font-family: 'SAP-icons';
  font-size: 1.375rem;
  color: #ffffff;
  display: block;
}
/* ======================================================== */
/* CSS for control sap.ui.analytics/AnalyticalTable.control */
/* ======================================================== */
.sapUiAnalyticalTable .sapUiTableRowHdr.sapUiAnalyticalTableSum {
  border-left: 0;
  border-right: 0;
  background-color: #000000;
}
.sapUiAnalyticalTable .sapUiTableRowHdr.sapUiAnalyticalTableDummy {
  font-size: 14px;
  line-height: 28px;
  color: #ffffff;
}
.sapUiAnalyticalTable tr.sapUiAnalyticalTableSum {
  background-color: #000000;
}
.sapUiAnalyticalTable tr.sapUiAnalyticalTableSum > td {
  border-left: 0;
  border-right: 0;
}
.sapUiAnalyticalTable tr.sapUiAnalyticalTableSum > td.sapUiTableTdLast {
  border-right: 1px solid #ffffff;
}
.sapUiAnalyticalTable tr.sapUiAnalyticalTableDummy td {
  border-right-width: 0;
}
.sapUiAnalyticalTable tr.sapUiAnalyticalTableDummy td:last-child {
  border-right-width: 1px;
}
/* ============================== */
/* Global CSS for 'sap_hcb' theme */
/* ============================== */
/* =================================== */
/* CSS for control sap.ui.table/Table  */
/* High Contrast Black theme           */
/* =================================== */
.sapUiTableHdr {
  border-bottom: 3px solid #ffffff;
}
.sapUiTableTbr,
.sapUiTableExt {
  border-bottom: 1px solid #ffffff;
  padding: 0.125rem;
  box-sizing: content-box;
}
.sapUiTableCnt {
  border: 1px solid #999999;
}
.sapUiTableColHdrCnt {
  border-bottom-width: 3px;
}
.sapUiTableCol:hover,
.sapUiTableColRowHdr:hover {
  background-color: #7a5100;
}
.sapUiTableRowHdr::after,
.sapUiTableColRowHdrIco::after {
  color: #ffffff;
}
.sapUiTableCtrl tr.sapUiTableRowHvr,
.sapUiTableRowHdr.sapUiTableRowHvr {
  color: #ffffff;
}
.sapUiTableRowHdr.sapUiTableRowHvr::after {
  background-color: #0f5d94;
}
html.sap-desktop .sapUiTableHSb::-webkit-scrollbar,
html.sap-desktop .sapUiTableVSb::-webkit-scrollbar {
  width: 16px;
  height: 16px;
  border: none;
}
html.sap-desktop .sapUiTableHSb::-webkit-scrollbar-thumb,
html.sap-desktop .sapUiTableVSb::-webkit-scrollbar-thumb {
  border: none;
  box-shadow: none;
}
.sapUiTableColReorderFade:after {
  background-color: #808080;
  opacity: 0.5;
}
/* ======================================================== */
/* CSS for control sap.ui.analytics/AnalyticalTable.control */
/* ======================================================== */

/* Inline theming parameters */
#sap-ui-theme-sap\.ui\.table{background-image:url('data:text/plain;utf-8,%7B%22sapBrandColor%22:%22#000000%22,%22sapHighlightColor%22:%22#cc8700%22,%22sapBaseColor%22:%22#dddddd%22,%22sapShellColor%22:%22#ffffff%22,%22sapBackgroundColor%22:%22#ffffff%22,%22sapFontFamily%22:%22Arial, Helvetica, sans-serif%22,%22sapFontSize%22:%220.75em%22,%22sapTextColor%22:%22#000000%22,%22sapLinkColor%22:%22#000000%22,%22sapCompanyLogo%22:%22none%22,%22sapBackgroundImage%22:%22none%22,%22sapBackgroundImageOpacity%22:%221%22,%22sapBackgroundImageRepeat%22:%22false%22,%22sapSelectedColor%22:%22#2e9cea%22,%22sapActiveColor%22:%22#cc8700%22,%22sapHighlightTextColor%22:%22#ffffff%22,%22sapTitleColor%22:%22#000000%22,%22sapNegativeColor%22:%22#bb0000%22,%22sapCriticalColor%22:%22#e78c07%22,%22sapPositiveColor%22:%22#2b7d2b%22,%22sapNeutralColor%22:%22#ffffff%22,%22sapNegativeElementColor%22:%22#bb0000%22,%22sapCriticalElementColor%22:%22#e78c07%22,%22sapPositiveElementColor%22:%22#2b7d2b%22,%22sapNeutralElementColor%22:%22#ffffff%22,%22sapContent_LineHeight%22:%221.3%22,%22sapContent_ElementHeight%22:%221.37em%22,%22sapContent_ElementHeight_PX%22:%2222px%22,%22sapContent_IconHeight%22:%2216px%22,%22sapContent_IconColor%22:%22#000000%22,%22sapContent_ContrastIconColor%22:%22#ffffff%22,%22sapContent_NonInteractiveIconColor%22:%22#000000%22,%22sapContent_MarkerIconColor%22:%22#000000%22,%22sapContent_FocusColor%22:%22#000000%22,%22sapContent_ContrastFocusColor%22:%22#ffffff%22,%22sapContent_ShadowColor%22:%22#000000%22,%22sapContent_ContrastShadowColor%22:%22#ffffff%22,%22sapContent_SearchHighlightColor%22:%22#cc8700%22,%22sapContent_HelpColor%22:%22#cc8700%22,%22sapContent_LabelColor%22:%22#000000%22,%22sapContent_MonospaceFontFamily%22:%22lucida console, monospace%22,%22sapContent_DisabledTextColor%22:%22#666666%22,%22sapContent_DisabledOpacity%22:%220.5%22,%22sapContent_ContrastTextThreshold%22:%220.65%22,%22sapContent_ContrastTextColor%22:%22#ffffff%22,%22sapContent_ForegroundColor%22:%22#e5e5e5%22,%22sapContent_ForegroundBorderColor%22:%22#000000%22,%22sapContent_ForegroundTextColor%22:%22#000000%22,%22sapShell_Background%22:%22#ffffff%22,%22sapShell_BackgroundImage%22:%22#ffffff%22,%22sapShell_BackgroundGradient%22:%22#ffffff%22,%22sapShell_BackgroundImageOpacity%22:%221%22,%22sapShell_BackgroundImageRepeat%22:%22false%22,%22sapShell_BorderColor%22:%22#666666%22,%22sapShell_TextColor%22:%22#000000%22,%22sapShell_Favicon%22:%22none%22,%22sapButton_BorderWidth%22:%221px%22,%22sapButton_BorderCornerRadius%22:%220%22,%22sapButton_Background%22:%22#ffffff%22,%22sapButton_BorderColor%22:%22#000000%22,%22sapButton_TextColor%22:%22#000000%22,%22sapButton_Disabled_Background%22:%22#ffffff%22,%22sapButton_Disabled_BorderColor%22:%22#666666%22,%22sapButton_Disabled_TextColor%22:%22#666666%22,%22sapButton_Hover_Background%22:%22#cc8700%22,%22sapButton_Hover_BorderColor%22:%22#000000%22,%22sapButton_Hover_TextColor%22:%22#ffffff%22,%22sapButton_Emphasized_Background%22:%22#ffffff%22,%22sapButton_Emphasized_BorderColor%22:%22#000000%22,%22sapButton_Emphasized_TextColor%22:%22#000000%22,%22sapButton_Reject_Background%22:%22#ffffff%22,%22sapButton_Accept_Background%22:%22#ffffff%22,%22sapField_Background%22:%22#ffffff%22,%22sapField_BorderColor%22:%22#000000%22,%22sapField_TextColor%22:%22#000000%22,%22sapField_HelpBackground%22:%22#ffffff%22,%22sapField_BorderWidth%22:%221px%22,%22sapField_BorderCornerRadius%22:%220%22,%22sapField_Hover_Background%22:%22#ffffff%22,%22sapField_Hover_BorderColor%22:%22#000000%22,%22sapField_Hover_HelpBackground%22:%22#cc8700%22,%22sapField_Focus_Background%22:%22#ffffff%22,%22sapField_Focus_BorderColor%22:%22#000000%22,%22sapField_Focus_HelpBackground%22:%22#ffffff%22,%22sapField_Disabled_Background%22:%22#959595%22,%22sapField_Disabled_BorderColor%22:%22#4f4f4f%22,%22sapField_Disabled_TextColor%22:%22#666666%22,%22sapField_Disabled_HelpBackground%22:%22#959595%22,%22sapField_ReadOnly_Background%22:%22#959595%22,%22sapField_ReadOnly_BorderColor%22:%22#4f4f4f%22,%22sapField_ReadOnly_HelpBackground%22:%22#959595%22,%22sapField_RequiredColor%22:%22#000000%22,%22sapField_InvalidColor%22:%22#ffffff%22,%22sapField_InvalidBackground%22:%22#cc8700%22,%22sapField_WarningColor%22:%22#000000%22,%22sapField_WarningBackground%22:%22#ffffff%22,%22sapField_SuccessColor%22:%22#000000%22,%22sapField_SuccessBackground%22:%22#ffffff%22,%22sapGroup_TitleBackground%22:%22#ffffff%22,%22sapGroup_TitleBorderColor%22:%22#000000%22,%22sapGroup_TitleTextColor%22:%22#000000%22,%22sapGroup_Title_FontSize%22:%221em%22,%22sapGroup_ContentBackground%22:%22#ffffff%22,%22sapGroup_ContentBorderColor%22:%22#000000%22,%22sapGroup_BorderWidth%22:%221px%22,%22sapGroup_BorderCornerRadius%22:%220%22,%22sapGroup_FooterBackground%22:%22#ffffff%22,%22sapToolbar_Background%22:%22#ffffff%22,%22sapToolbar_SeparatorColor%22:%22#000000%22,%22sapList_HeaderBackground%22:%22#ffffff%22,%22sapList_HeaderBorderColor%22:%22#000000%22,%22sapList_HeaderTextColor%22:%22#000000%22,%22sapList_BorderColor%22:%22#4f4f4f%22,%22sapList_BorderWidth%22:%221px%22,%22sapList_HighlightColor%22:%22#cc8700%22,%22sapList_SelectionBackgroundColor%22:%22#2e9cea%22,%22sapList_Background%22:%22#ffffff%22,%22sapList_Hover_Background%22:%22#cc8700%22,%22sapScrollBar_FaceColor%22:%22#4f4f4f%22,%22sapScrollBar_TrackColor%22:%22#ffffff%22,%22sapScrollBar_BorderColor%22:%22#4f4f4f%22,%22sapScrollBar_SymbolColor%22:%22#000000%22,%22sapScrollBar_Dimension%22:%2216px%22,%22sapScrollBar_Hover_FaceColor%22:%22#000000%22,%22sapPageHeader_Background%22:%22#ffffff%22,%22sapPageHeader_BorderColor%22:%22#000000%22,%22sapPageHeader_TextColor%22:%22#000000%22,%22sapPageFooter_Background%22:%22#ffffff%22,%22sapPageFooter_TextColor%22:%22#000000%22,%22sapInfobar_Background%22:%22#ffffff%22,%22sapObjectHeader_Background%22:%22#ffffff%22,%22sapBlockLayer_Background%22:%22#000000%22,%22sapTile_Background%22:%22#ffffff%22,%22sapTile_BorderColor%22:%22#000000%22,%22sapTile_TitleTextColor%22:%22#000000%22,%22sapTile_TextColor%22:%22#000000%22,%22sapTile_IconColor%22:%22#000000%22,%22sapChart_OrderedColor_1%22:%22#5cbae6%22,%22sapChart_OrderedColor_2%22:%22#b6d957%22,%22sapChart_OrderedColor_3%22:%22#fac364%22,%22sapChart_OrderedColor_4%22:%22#8cd3ff%22,%22sapChart_OrderedColor_5%22:%22#d998cb%22,%22sapChart_OrderedColor_6%22:%22#f2d249%22,%22sapChart_OrderedColor_7%22:%22#93b9c6%22,%22sapChart_OrderedColor_8%22:%22#ccc5a8%22,%22sapChart_OrderedColor_9%22:%22#52bacc%22,%22sapChart_OrderedColor_10%22:%22#dbdb46%22,%22sapChart_OrderedColor_11%22:%22#98aafb%22,%22sapChart_Bad%22:%22#dc0d0e%22,%22sapChart_Critical%22:%22#de890d%22,%22sapChart_Good%22:%22#3fa45b%22,%22sapChart_Neutral%22:%22#848f94%22,%22sapChart_Sequence_1%22:%22#27a3dd%22,%22sapChart_Sequence_2%22:%22#9dc62d%22,%22sapChart_Sequence_3%22:%22#f8ac29%22,%22sapChart_Sequence_Neutral%22:%22#848f94%22,%22sapUiBrand%22:%22#ffffff%22,%22sapUiHighlight%22:%22#7a5100%22,%22sapUiBaseColor%22:%22#000000%22,%22sapUiShellColor%22:%22#000000%22,%22sapUiBaseBG%22:%22#000000%22,%22sapUiGlobalBackgroundColor%22:%22#000000%22,%22sapUiBaseText%22:%22#ffffff%22,%22sapUiLink%22:%22#ffffff%22,%22sapUiGlobalLogo%22:%22none%22,%22sapUiGlobalBackgroundImage%22:%22none%22,%22sapUiBackgroundImage%22:%22none%22,%22sapUiUx3ShellBackgroundImageURL%22:%22none%22,%22sapUiGlobalBackgroundImageOpacity%22:%221%22,%22sapUiGlobalBackgroundRepeat%22:%22false%22,%22sapUiSelected%22:%22#0f5d94%22,%22sapUiActive%22:%22#7a5100%22,%22sapUiHighlightTextColor%22:%22#ffffff%22,%22sapUiTextTitle%22:%22#ffffff%22,%22sapUiContentIconColor%22:%22#ffffff%22,%22sapUiContentContrastIconColor%22:%22#000000%22,%22sapUiContentNonInteractiveIconColor%22:%22#ffffff%22,%22sapUiContentMarkerIconColor%22:%22#ffffff%22,%22sapUiContentImagePlaceholderBackground%22:%22#000000%22,%22sapUiContentImagePlaceholderForegroundColor%22:%22#999999%22,%22sapUiContentFocusColor%22:%22#ffffff%22,%22sapUiContentContrastFocusColor%22:%22#000000%22,%22sapUiContentShadowColor%22:%22#ffffff%22,%22sapUiContentContrastShadowColor%22:%22#000000%22,%22sapUiContentSearchHighlightColor%22:%22#7a5100%22,%22sapUiContentHelpColor%22:%22#03b803%22,%22sapUiContentLabelColor%22:%22#ffffff%22,%22sapUiContentDisabledTextColor%22:%22#666666%22,%22sapUiContentDisabledOpacity%22:%220.5%22,%22sapUiContentContrastTextThreshold%22:%220.65%22,%22sapUiContentContrastTextColor%22:%22#ffffff%22,%22sapUiContentForegroundColor%22:%22#000000%22,%22sapUiContentForegroundBorderColor%22:%22#ffffff%22,%22sapUiContentForegroundTextColor%22:%22#ffffff%22,%22sapUiShellBackground%22:%22#000000%22,%22sapUiShellBackgroundImage%22:%22#ffffff%22,%22sapUiShellBackgroundImageOpacity%22:%221%22,%22sapUiShellBackgroundImageRepeat%22:%22false%22,%22sapUiShellBackgroundGradient%22:%22#000000%22,%22sapUiShellBorderColor%22:%22#ffffff%22,%22sapUiShellTextColor%22:%22#ffffff%22,%22sapUiShellFavicon%22:%22none%22,%22sapUiButtonBackground%22:%22#000000%22,%22sapUiButtonBorderColor%22:%22#ffffff%22,%22sapUiButtonTextColor%22:%22#ffffff%22,%22sapUiButtonDisabledBackground%22:%22#000000%22,%22sapUiButtonDisabledBorderColor%22:%22#666666%22,%22sapUiButtonDisabledTextColor%22:%22#666666%22,%22sapUiButtonHoverBackground%22:%22#7a5100%22,%22sapUiButtonHoverBorderColor%22:%22#ffffff%22,%22sapUiButtonHoverTextColor%22:%22#ffffff%22,%22sapUiButtonEmphasizedBackground%22:%22#000000%22,%22sapUiButtonEmphasizedBorderColor%22:%22#ffffff%22,%22sapUiButtonEmphasizedTextColor%22:%22#ffffff%22,%22sapUiButtonRejectBackground%22:%22#000000%22,%22sapUiButtonAcceptBackground%22:%22#000000%22,%22sapUiFieldBackground%22:%22#000000%22,%22sapUiFieldBorderColor%22:%22#ffffff%22,%22sapUiFieldTextColor%22:%22#ffffff%22,%22sapUiFieldHelpBackground%22:%22#000000%22,%22sapUiFieldHoverBackground%22:%22#000000%22,%22sapUiFieldHoverBorderColor%22:%22#ffffff%22,%22sapUiFieldHoverHelpBackground%22:%22#7a5100%22,%22sapUiFieldFocusBackground%22:%22#000000%22,%22sapUiFieldFocusBorderColor%22:%22#ffffff%22,%22sapUiFieldFocusHelpBackground%22:%22#000000%22,%22sapUiFieldReadOnlyBackground%22:%22#585858%22,%22sapUiFieldReadOnlyBorderColor%22:%22#999999%22,%22sapUiFieldReadOnlyHelpBackground%22:%22#585858%22,%22sapUiFieldDisabledBackground%22:%22#585858%22,%22sapUiFieldDisabledBorderColor%22:%22#999999%22,%22sapUiFieldDisabledTextColor%22:%22#666666%22,%22sapUiFieldDisabledHelpBackground%22:%22#585858%22,%22sapUiFieldRequiredColor%22:%22#ffffff%22,%22sapUiFieldInvalidColor%22:%22#ffffff%22,%22sapUiFieldInvalidBackground%22:%22#7a5100%22,%22sapUiFieldWarningColor%22:%22#ffffff%22,%22sapUiFieldWarningBackground%22:%22#000000%22,%22sapUiFieldSuccessColor%22:%22#ffffff%22,%22sapUiFieldSuccessBackground%22:%22#000000%22,%22sapUiGroupTitleBackground%22:%22#000000%22,%22sapUiGroupTitleBorderColor%22:%22#ffffff%22,%22sapUiGroupTitleTextColor%22:%22#ffffff%22,%22sapUiGroupContentBackground%22:%22#000000%22,%22sapUiGroupContentBorderColor%22:%22#ffffff%22,%22sapUiGroupFooterBackground%22:%22#000000%22,%22sapUiToolbarBackground%22:%22#000000%22,%22sapUiToolbarSeparatorColor%22:%22#ffffff%22,%22sapUiListHeaderBackground%22:%22#000000%22,%22sapUiListHeaderBorderColor%22:%22#ffffff%22,%22sapUiListHeaderTextColor%22:%22#ffffff%22,%22sapUiListBorderColor%22:%22#999999%22,%22sapUiListHighlightColor%22:%22#7a5100%22,%22sapUiListSelectionBackgroundColor%22:%22#0f5d94%22,%22sapUiListBackground%22:%22#000000%22,%22sapUiListHoverBackground%22:%22#7a5100%22,%22sapUiScrollBarFaceColor%22:%22#999999%22,%22sapUiScrollBarTrackColor%22:%22#000000%22,%22sapUiScrollBarBorderColor%22:%22#999999%22,%22sapUiScrollBarSymbolColor%22:%22#ffffff%22,%22sapUiScrollBarHoverFaceColor%22:%22#ffffff%22,%22sapUiPageHeaderBackground%22:%22#000000%22,%22sapUiPageHeaderBorderColor%22:%22#ffffff%22,%22sapUiPageHeaderTextColor%22:%22#ffffff%22,%22sapUiPageFooterBackground%22:%22#000000%22,%22sapUiPageFooterTextColor%22:%22#ffffff%22,%22sapUiInfobarBackground%22:%22#000000%22,%22sapUiObjectHeaderBackground%22:%22#000000%22,%22sapUiBlockLayerBackground%22:%22#000000%22,%22sapUiTileBackground%22:%22#000000%22,%22sapUiTileBorderColor%22:%22#ffffff%22,%22sapUiTileTitleTextColor%22:%22#ffffff%22,%22sapUiTileTextColor%22:%22#ffffff%22,%22sapUiTileIconColor%22:%22#ffffff%22,%22sapUiChart1%22:%22#5cbae6%22,%22sapUiChart2%22:%22#b6d957%22,%22sapUiChart3%22:%22#fac364%22,%22sapUiChart4%22:%22#8cd3ff%22,%22sapUiChart5%22:%22#d998cb%22,%22sapUiChart6%22:%22#f2d249%22,%22sapUiChart7%22:%22#93b9c6%22,%22sapUiChart8%22:%22#ccc5a8%22,%22sapUiChart9%22:%22#52bacc%22,%22sapUiChart10%22:%22#dbdb46%22,%22sapUiChart11%22:%22#98aafb%22,%22sapUiChartBad%22:%22#d32030%22,%22sapUiChartCritical%22:%22#e17b24%22,%22sapUiChartGood%22:%22#61a656%22,%22sapUiChartNeutral%22:%22#848f94%22,%22sapUiChartSequence1%22:%22#27a3dd%22,%22sapUiChartSequence2%22:%22#9dc62d%22,%22sapUiChartSequence3%22:%22#f8ac29%22,%22sapUiChartSequenceNeutral%22:%22#848f94%22,%22sapUiErrorBG%22:%22#000000%22,%22sapUiWarningBG%22:%22#000000%22,%22sapUiSuccessBG%22:%22#000000%22,%22sapUiNeutralBG%22:%22#000000%22,%22sapUiErrorBorder%22:%22#ffffff%22,%22sapUiWarningBorder%22:%22#ffffff%22,%22sapUiSuccessBorder%22:%22#ffffff%22,%22sapUiNeutralBorder%22:%22#ffffff%22,%22sapUiNegativeElement%22:%22#ff5e5e%22,%22sapUiCriticalElement%22:%22#ffab1d%22,%22sapUiPositiveElement%22:%22#99cc99%22,%22sapUiNeutralElement%22:%22#ffffff%22,%22sapUiNegativeText%22:%22#ff5e5e%22,%22sapUiCriticalText%22:%22#ffab1d%22,%22sapUiPositiveText%22:%22#00aa00%22,%22sapUiNeutralText%22:%22#ffffff%22,%22sapUiNegative%22:%22#bb0000%22,%22sapUiCritical%22:%22#e78c07%22,%22sapUiPositive%22:%22#2b7d2b%22,%22sapUiNeutral%22:%22#ffffff%22,%22sapUiErrorColor%22:%22#ee0000%22,%22sapUiWarningColor%22:%22#f9a429%22,%22sapUiSuccessColor%22:%22#38a338%22,%22sapUiFontFamily%22:%22Arial, Helvetica, sans-serif%22,%22sapUiFontSize%22:%2216px%22,%22sapUiFontCondensedFamily%22:%22%27Arial Narrow%27, HelveticaNeue-CondensedBold, Arial, sans-serif%22,%22sapUiFontHeaderFamily%22:%22Arial, Helvetica, sans-serif%22,%22sapUiFontHeaderWeight%22:%22normal%22,%22sapMFontHeader1Size%22:%221.625rem%22,%22sapMFontHeader2Size%22:%221.375rem%22,%22sapMFontHeader3Size%22:%221.25rem%22,%22sapMFontHeader4Size%22:%221.125rem%22,%22sapMFontHeader5Size%22:%221rem%22,%22sapMFontHeader6Size%22:%220.875rem%22,%22sapMFontSmallSize%22:%220.75rem%22,%22sapMFontMediumSize%22:%220.875rem%22,%22sapMFontLargeSize%22:%221rem%22,%22sapUiTranslucentBGOpacity%22:%2280%25%22,%22sapMPlatformDependent%22:%22false%22,%22sapUiDesktopFontFamily%22:%22Arial, Helvetica, sans-serif%22,%22sapUiDesktopFontSize%22:%2212px%22,%22sapUiFontLargeSize%22:%2213px%22,%22sapUiFontSmallSize%22:%2211px%22,%22sapUiFontHeader1Size%22:%2226px%22,%22sapUiFontHeader2Size%22:%2220px%22,%22sapUiFontHeader3Size%22:%2218px%22,%22sapUiFontHeader4Size%22:%2216px%22,%22sapUiFontHeader5Size%22:%2214px%22,%22sapUiFontHeader6Size%22:%2213px%22,%22sapUiLineHeight%22:%2218px%22,%22sapUiChartLabelHoverColor%22:%22#7a5100%22,%22sapUiChartLabelPressedColor%22:%22#0f5d94%22,%22sapUiChartCategoryAxisLabelFontColor%22:%22#ffffff%22,%22sapUiChartValueAxisLabelFontColor%22:%22#ffffff%22,%22sapUiChartCategoryAxisLabelFontSize%22:%220.75rem%22,%22sapUiChartValueAxisLabelFontSize%22:%220.75rem%22,%22sapUiChartCategoryAxisLineColor%22:%22#ffffff%22,%22sapUiChartValueAxisLineColor%22:%22#ffffff%22,%22sapUiChartCategoryAxisTickColor%22:%22#ffffff%22,%22sapUiChartValueAxisTickColor%22:%22#ffffff%22,%22sapUiChartBackgroundColor%22:%22#000000%22,%22sapUiChartLabelFontWeight%22:%22normal%22,%22sapUiChartLegendLabelFontColor%22:%22#ffffff%22,%22sapUiChartLegendTitleFontColor%22:%22#ffffff%22,%22sapUiChartLegendTitleFontSize%22:%220.875rem%22,%22sapUiChartLegendLabelFontSize%22:%220.75rem%22,%22sapUiChartPaletteUndefinedColor%22:%22#ffffff%22,%22sapUiChartGridlineColor%22:%22#999999%22,%22sapUiChartReferenceLineColor%22:%22#ffffff%22,%22sapUiChartDataLabelFontColor%22:%22#ffffff%22,%22sapUiChartReferenceLineLabelColor%22:%22#ffffff%22,%22sapUiChartDataLabelFontSize%22:%220.75rem%22,%22sapUiChartPopoverDataItemFontColor%22:%22#ffffff%22,%22sapUiChartPopoverGroupFontColor%22:%22#ffffff%22,%22sapUiChartPopoverDataItemFontSize%22:%220.875rem%22,%22sapUiChartPopoverGroupFontSize%22:%220.875rem%22,%22sapUiChartPopoverGroupFontWeight%22:%22bold%22,%22sapUiChartScrollBarThumbColor%22:%22#999999%22,%22sapUiChartScrollBarTrackColor%22:%22#000000%22,%22sapUiChartScrollBarThumbHoverColor%22:%22#ffffff%22,%22sapUiChartMainTitleFontColor%22:%22#ffffff%22,%22sapUiChartAxisTitleFontColor%22:%22#ffffff%22,%22sapUiChartMainTitleFontSize%22:%221rem%22,%22sapUiChartAxisTitleFontSize%22:%220.875rem%22,%22sapUiChartTitleFontWeight%22:%22bold%22,%22sapUiChartLightText%22:%22#ffffff%22,%22sapUiChartZeroAxisColor%22:%22#ffffff%22,%22sapUiChartDataPointBorderColor%22:%22#000000%22,%22sapUiChartDataPointBorderHoverSelectedColor%22:%22#ffffff%22,%22sapUiChartDataPointNotSelectedBackgroundOpacity%22:%220.7%22,%22sapUiChartValueAxisLineOpacity%22:%220%22,%22sapUiChartCategoryAxisLabelFontHoverColor%22:%22#ffffff%22,%22sapUiChartCategoryAxisLabelFontPressedColor%22:%22#ffffff%22,%22sapUiChartTargetColor%22:%22#ffffff%22,%22sapUiChartTargetShadowColor%22:%22#000000%22,%22sapUiChartBubbleBGOpacity%22:%220.9%22,%22sapUiChartScrollbarBorderColor%22:%22#999999%22,%22sapUiChartScrollbarBorderSize%22:%220.063rem%22,%22sapUiChartScrollbarThumbPadding%22:%220.125rem%22,%22sapUiChartNegativeLargeText%22:%22#d32030%22,%22sapUiChartCriticalLargeText%22:%22#e17b24%22,%22sapUiChartPositiveLargeText%22:%22#61a656%22,%22sapUiChartNeutralLargeText%22:%22#69767c%22,%22sapUiChartDataPointBG%22:%22#d5dadc%22,%22sapUiChartDataPointBGBorderColor%22:%22#d5dadc%22,%22sapUiChartDataLineColorWithBG%22:%22#000000%22,%22sapUiChartDataLineColor%22:%22#000000%22,%22sapUiChartRadialRemainingCircle%22:%22#e3e6e7%22,%22sapUiChartRadialRemainingCircleBorderColor%22:%22#e3e6e7%22,%22sapUiChartRadialBG%22:%22#050505%22,%22sapUiChartPaletteQualitativeHue1%22:%22#30a7df%22,%22sapUiChartPaletteQualitativeHue2%22:%22#a3ce2f%22,%22sapUiChartPaletteQualitativeHue3%22:%22#f8b033%22,%22sapUiChartPaletteQualitativeHue4%22:%22#cb73b8%22,%22sapUiChartPaletteQualitativeHue5%22:%22#efc619%22,%22sapUiChartPaletteQualitativeHue6%22:%22#b9b088%22,%22sapUiChartPaletteQualitativeHue7%22:%22#30a7df%22,%22sapUiChartPaletteQualitativeHue8%22:%22#a3ce2f%22,%22sapUiChartPaletteQualitativeHue9%22:%22#f8b033%22,%22sapUiChartPaletteQualitativeHue10%22:%22#cb73b8%22,%22sapUiChartPaletteQualitativeHue11%22:%22#efc619%22,%22sapUiChartPaletteSemanticBadLight3%22:%22#db3535%22,%22sapUiChartPaletteSemanticBadLight2%22:%22#db3535%22,%22sapUiChartPaletteSemanticBadLight1%22:%22#ff7878%22,%22sapUiChartPaletteSemanticBad%22:%22#ff7878%22,%22sapUiChartPaletteSemanticBadDark1%22:%22#ff7878%22,%22sapUiChartPaletteSemanticBadDark2%22:%22#ff7878%22,%22sapUiChartPaletteSemanticCriticalLight3%22:%22#b67200%22,%22sapUiChartPaletteSemanticCriticalLight2%22:%22#b67200%22,%22sapUiChartPaletteSemanticCriticalLight1%22:%22#ffab1d%22,%22sapUiChartPaletteSemanticCritical%22:%22#ffab1d%22,%22sapUiChartPaletteSemanticCriticalDark1%22:%22#ffab1d%22,%22sapUiChartPaletteSemanticCriticalDark2%22:%22#ffab1d%22,%22sapUiChartPaletteSemanticGoodLight3%22:%22#5e975e%22,%22sapUiChartPaletteSemanticGoodLight2%22:%22#5e975e%22,%22sapUiChartPaletteSemanticGoodLight1%22:%22#a4dba4%22,%22sapUiChartPaletteSemanticGood%22:%22#a4dba4%22,%22sapUiChartPaletteSemanticGoodDark1%22:%22#a4dba4%22,%22sapUiChartPaletteSemanticGoodDark2%22:%22#a4dba4%22,%22sapUiChartPaletteSemanticNeutralLight3%22:%22#848f94%22,%22sapUiChartPaletteSemanticNeutralLight2%22:%22#848f94%22,%22sapUiChartPaletteSemanticNeutralLight1%22:%22#d5dadc%22,%22sapUiChartPaletteSemanticNeutral%22:%22#d5dadc%22,%22sapUiChartPaletteSemanticNeutralDark1%22:%22#d5dadc%22,%22sapUiChartPaletteSemanticNeutralDark2%22:%22#d5dadc%22,%22sapUiChartPaletteSequentialHue1Light3%22:%22#2481ad%22,%22sapUiChartPaletteSequentialHue1Light2%22:%22#2481ad%22,%22sapUiChartPaletteSequentialHue1Light1%22:%22#5cbae5%22,%22sapUiChartPaletteSequentialHue1%22:%22#5cbae5%22,%22sapUiChartPaletteSequentialHue1Dark1%22:%22#5cbae5%22,%22sapUiChartPaletteSequentialHue1Dark2%22:%22#5cbae5%22,%22sapUiChartPaletteSequentialHue2Light3%22:%22#819f31%22,%22sapUiChartPaletteSequentialHue2Light2%22:%22#819f31%22,%22sapUiChartPaletteSequentialHue2Light1%22:%22#c6e17d%22,%22sapUiChartPaletteSequentialHue2%22:%22#c6e17d%22,%22sapUiChartPaletteSequentialHue2Dark1%22:%22#c6e17d%22,%22sapUiChartPaletteSequentialHue2Dark2%22:%22#c6e17d%22,%22sapUiChartPaletteSequentialHue3Light3%22:%22#b67200%22,%22sapUiChartPaletteSequentialHue3Light2%22:%22#b67200%22,%22sapUiChartPaletteSequentialHue3Light1%22:%22#ffab1d%22,%22sapUiChartPaletteSequentialHue3%22:%22#ffab1d%22,%22sapUiChartPaletteSequentialHue3Dark1%22:%22#ffab1d%22,%22sapUiChartPaletteSequentialHue3Dark2%22:%22#ffab1d%22,%22sapUiChartPaletteSequentialNeutralLight3%22:%22#848f94%22,%22sapUiChartPaletteSequentialNeutralLight2%22:%22#848f94%22,%22sapUiChartPaletteSequentialNeutralLight1%22:%22#d5dadc%22,%22sapUiChartPaletteSequentialNeutral%22:%22#d5dadc%22,%22sapUiChartPaletteSequentialNeutralDark1%22:%22#d5dadc%22,%22sapUiChartPaletteSequentialNeutralDark2%22:%22#d5dadc%22,%22sapUiChoroplethBG%22:%22#000000%22,%22sapUiChoroplethRegionBorder%22:%22#000000%22,%22sapUiChoroplethRegionBG%22:%22#848f94%22,%22sapUiMapLegendBG%22:%22#000000%22,%22sapUiMapLegendBorderColor%22:%22#ffffff%22,%22sapUiShellHoverBackground%22:%22#7a5100%22,%22sapUiShellActiveBackground%22:%22#7a5100%22,%22sapUiShellActiveTextColor%22:%22#ffffff%22,%22sapUiShellHoverToggleBackground%22:%22#0f5d94%22,%22sapUiUx3ShellHeaderColor%22:%22#000000%22,%22sapUiUx3ShellBackgroundColor%22:%22#000000%22,%22sapUiUx3ShellHoverColor%22:%22#7a5100%22,%22sapUiUx3ShellGradientBottom%22:%22#000000%22,%22sapUiUx3ShellGradientTop%22:%22#000000%22,%22sapUiUx3ShellToolPaletteIconFontColor%22:%22#ffffff%22,%22sapUiUx3ExactLstExpandOffset%22:%220 0%22,%22sapUiUx3ExactLstRootExpandOffset%22:%220 3%22,%22sapUiUx3ExactLstContentTop%22:%2225px%22,%22sapUiLinkActive%22:%22#ffffff%22,%22sapUiLinkVisited%22:%22#ffffff%22,%22sapUiLinkHover%22:%22#ffffff%22,%22sapUiLinkInverted%22:%22#ffffff%22,%22sapUiNotificationBarBG%22:%22#000000%22,%22sapUiNotifierSeparator%22:%22#ffffff%22,%22sapUiNotifierSeparatorWidth%22:%222px%22,%22sapUiNotificationBarBorder%22:%22#ffffff%22,%22sapUiUx3ToolPopupInverted%22:%22false%22,%22sapUiUx3ToolPopupArrowRightMarginCorrection%22:%22-2px%22,%22sapUiUx3ToolPopupShadow%22:%220px 6px 12px 0px rgba%28255, 255, 255, 0.3%29%22,%22sapUiCalloutShadow%22:%220px 6px 12px 0px rgba%28255, 255, 255, 0.3%29%22,%22sapUiButtonIconColor%22:%22#ffffff%22,%22sapUiButtonActiveBackground%22:%22#7a5100%22,%22sapUiButtonActiveBorderColor%22:%22#ffffff%22,%22sapUiButtonActiveTextColor%22:%22#ffffff%22,%22sapUiButtonEmphasizedHoverBackground%22:%22#7a5100%22,%22sapUiButtonEmphasizedHoverBorderColor%22:%22#ffffff%22,%22sapUiButtonEmphasizedActiveBackground%22:%22#7a5100%22,%22sapUiButtonEmphasizedActiveBorderColor%22:%22#ffffff%22,%22sapUiButtonEmphasizedTextShadow%22:%22#000000%22,%22sapUiButtonAcceptBorderColor%22:%22#ffffff%22,%22sapUiButtonAcceptHoverBackground%22:%22#7a5100%22,%22sapUiButtonAcceptHoverBorderColor%22:%22#ffffff%22,%22sapUiButtonAcceptActiveBackground%22:%22#7a5100%22,%22sapUiButtonAcceptActiveBorderColor%22:%22#ffffff%22,%22sapUiButtonAcceptTextColor%22:%22#ffffff%22,%22sapUiButtonRejectBorderColor%22:%22#ffffff%22,%22sapUiButtonRejectHoverBackground%22:%22#7a5100%22,%22sapUiButtonRejectHoverBorderColor%22:%22#ffffff%22,%22sapUiButtonRejectActiveBackground%22:%22#7a5100%22,%22sapUiButtonRejectActiveBorderColor%22:%22#ffffff%22,%22sapUiButtonRejectTextColor%22:%22#ffffff%22,%22sapUiButtonLiteBackground%22:%22#000000%22,%22sapUiButtonLiteBorderColor%22:%22#ffffff%22,%22sapUiButtonLiteTextColor%22:%22#ffffff%22,%22sapUiButtonLiteHoverBackground%22:%22#7a5100%22,%22sapUiButtonLiteHoverBorderColor%22:%22#ffffff%22,%22sapUiButtonLiteActiveBackground%22:%22#7a5100%22,%22sapUiButtonLiteActiveBorderColor%22:%22#ffffff%22,%22sapUiButtonHeaderTextColor%22:%22#ffffff%22,%22sapUiButtonHeaderDisabledTextColor%22:%22#666666%22,%22sapUiButtonFooterTextColor%22:%22#ffffff%22,%22sapUiButtonFooterHoverBackground%22:%22#7a5100%22,%22sapUiButtonActionSelectBackground%22:%22#000000%22,%22sapUiButtonActionSelectBorderColor%22:%22#ffffff%22,%22sapUiButtonLiteActionSelectHoverBackground%22:%22#7a5100%22,%22sapUiToggleButtonPressedBackground%22:%22#0f5d94%22,%22sapUiToggleButtonPressedBorderColor%22:%22#ffffff%22,%22sapUiToggleButtonPressedTextColor%22:%22#ffffff%22,%22sapUiToggleButtonPressedHoverBackground%22:%22#7a5100%22,%22sapUiToggleButtonPressedHoverBorderColor%22:%22#ffffff%22,%22sapUiToggleButtonPressedDisabledBackground%22:%22#585858%22,%22sapUiToggleButtonPressedDisabledBorderColor%22:%22#666666%22,%22sapUiToggleButtonPressedDisabledTextColor%22:%22#666666%22,%22sapUiSegmentedButtonBackground%22:%22#000000%22,%22sapUiSegmentedButtonBorderColor%22:%22#ffffff%22,%22sapUiSegmentedButtonTextColor%22:%22#ffffff%22,%22sapUiSegmentedButtonHoverBackground%22:%22#7a5100%22,%22sapUiSegmentedButtonActiveBackground%22:%22#7a5100%22,%22sapUiSegmentedButtonActiveTextColor%22:%22#ffffff%22,%22sapUiSegmentedButtonSelectedBackground%22:%22#0f5d94%22,%22sapUiSegmentedButtonSelectedTextColor%22:%22#ffffff%22,%22sapUiSegmentedButtonSelectedHoverBackground%22:%22#7a5100%22,%22sapUiSegmentedButtonSelectedHoverBorderColor%22:%22#ffffff%22,%22sapUiSegmentedButtonIconColor%22:%22#ffffff%22,%22sapUiSegmentedButtonActiveIconColor%22:%22#ffffff%22,%22sapUiSegmentedButtonSelectedIconColor%22:%22#ffffff%22,%22sapUiSegmentedButtonFooterBorderColor%22:%22#ffffff%22,%22sapUiSegmentedButtonFooterHoverBackground%22:%22#7a5100%22,%22sapUiFieldActiveBackground%22:%22#0f5d94%22,%22sapUiFieldActiveBorderColor%22:%22#ffffff%22,%22sapUiFieldActiveTextColor%22:%22#ffffff%22,%22sapUiFieldPlaceholderTextColor%22:%22#999999%22,%22sapUiListTextColor%22:%22#ffffff%22,%22sapUiListVerticalBorderColor%22:%22#ffffff%22,%22sapUiListActiveBackground%22:%22#7a5100%22,%22sapUiListActiveTextColor%22:%22#ffffff%22,%22sapUiListSelectionHoverBackground%22:%22#7a5100%22,%22sapUiListFooterBackground%22:%22#000000%22,%22sapUiListFooterTextColor%22:%22#ffffff%22,%22sapUiListGroupHeaderBackground%22:%22#585858%22,%22sapUiListTableGroupHeaderBackground%22:%22#585858%22,%22sapUiListTableGroupHeaderBorderColor%22:%22#ffffff%22,%22sapUiListTableGroupHeaderTextColor%22:%22#ffffff%22,%22sapUiListTableFooterBorder%22:%22#ffffff%22,%22sapUiListTableFixedBorder%22:%22#ffffff%22,%22sapUiListTableTextSize%22:%220.875rem%22,%22sapUiListTableIconSize%22:%221rem%22,%22sapUiPageFooterBorderColor%22:%22#ffffff%22,%22sapUiInfobarHoverBackground%22:%22#7a5100%22,%22sapUiInfobarActiveBackground%22:%22#7a5100%22,%22sapUiCalendarColorToday%22:%22#ffffff%22,%22sapUiShadowLevel0%22:%220 0 0.125rem 0 rgba%28255, 255, 255, 0.3%29%22,%22sapUiShadowLevel1%22:%220 0.125rem 0.375rem 0 rgba%28255, 255, 255, 0.2%29, 0 0 0.125rem 0 rgba%28255, 255, 255, 0.3%29%22,%22sapUiShadowLevel2%22:%220 0.375rem 0.75rem 0 rgba%28255, 255, 255, 0.3%29, 0 0 0.125rem 0 rgba%28255, 255, 255, 0.3%29%22,%22sapUiShadowLevel3%22:%220 1.25rem 2rem 0 rgba%28255, 255, 255, 0.5%29, 0 0 0.125rem 0 rgba%28255, 255, 255, 0.3%29%22,%22sapUiShadowText%22:%220 1px rgba%280, 0, 0, 0.5%29%22,%22sapUiShadowHeader%22:%220 0.125rem 0 0 #000000%22,%22sapUiUx3ShellHeaderImageURL%22:%22%22,%22sapUiUx3ShellApplicationImageURL%22:%22none%22,%22sapUiPurple%22:%22#800080%22,%22sapUiOrange%22:%22#ffa500%22,%22sapUiGreen%22:%22#008000%22,%22sapUiBlue%22:%22#0000ff%22,%22sapUiRed%22:%22#ff0000%22,%22sapUiYellow%22:%22#ffff00%22,%22sapUiBase%22:%22#ffffff%22,%22sapUiBaseBorder%22:%22#ffffff%22,%22sapUiBaseLine%22:%22#ffffff%22,%22sapUiWhite%22:%22#000000%22,%22sapUiWhiteBG%22:%22#000000%22,%22sapUiExtraLightBG%22:%22#000000%22,%22sapUiLightBG%22:%22#000000%22,%22sapUiMediumBG%22:%22#000000%22,%22sapUiDarkBG%22:%22#000000%22,%22sapUiDeepBG%22:%22#ffffff%22,%22sapUiBlackBG%22:%22#ffffff%22,%22sapUiHoverBG%22:%22#808080%22,%22sapUiMediumAltBG%22:%22#808080%22,%22sapUiDarkAltBG%22:%22#a9a9a9%22,%22sapUiButtonStandardBG%22:%22#000000%22,%22sapUiButtonEmphasizedBG%22:%22#000000%22,%22sapUiButtonNegativeBG%22:%22#000000%22,%22sapUiButtonPositiveBG%22:%22#000000%22,%22sapUiReadOnlyBG%22:%22#585858%22,%22sapUiExtraLightText%22:%22#ffffff%22,%22sapUiLightText%22:%22#ffffff%22,%22sapUiMediumText%22:%22#ffffff%22,%22sapUiDarkText%22:%22#ffffff%22,%22sapUiDeepText%22:%22#000000%22,%22sapUiText%22:%22#ffffff%22,%22sapUiTextInverted%22:%22#000000%22,%22sapUiWhiteBorder%22:%22#ffffff%22,%22sapUiExtraLightBorder%22:%22#ffffff%22,%22sapUiLightBorder%22:%22#ffffff%22,%22sapUiMediumBorder%22:%22#ffffff%22,%22sapUiDarkBorder%22:%22#ffffff%22,%22sapUiBlackBorder%22:%22#000000%22,%22sapUiElement%22:%22#d3d3d3%22,%22sapUiInvertedElement%22:%22#ffffff%22,%22sapUiLightLine%22:%22#d3d3d3%22,%22sapUiMediumLine%22:%22#808080%22,%22sapUiEmphasizedLine%22:%22#7a5100%22,%22sapUiDarkLine%22:%22#a9a9a9%22,%22sapUiLightShadowTint%22:%22#ffffff%22,%22sapUiDarkShadowTint%22:%22#ffffff%22,%22sapUiFocus%22:%22#ffffff%22,%22sapUiInvertedFocus%22:%22#ffffff%22,%22sapUiTableRowBG%22:%22#000000%22,%22sapUiTableRowAlternatingBG%22:%22#444444%22,%22sapUiTableRowSelectionBG%22:%22#7a5100%22,%22sapUiTableRowSelectionReadOnlyBG%22:%22#7a5100%22,%22sapUiTableRowHoverBG%22:%22#808080%22,%22sapUiListBG%22:%22#f7f7f7%22,%22sapUiTextColor%22:%22#008000%22,%22sapUiTextTitleColor%22:%22#008000%22,%22sapUiTextSelectionColor%22:%22#008000%22,%22sapUiTextDisabled%22:%22#666666%22,%22sapUiTextSelection%22:%22#ffffff%22,%22sapUiTextfieldBackground%22:%22#000000%22,%22sapUiFontMonospaceFamily%22:%22Lucida Console%22,%22sapUiUx3ShellSideBarBaseWidth%22:%2240px%22,%22sapUiUx3ShellPaneOverflowButtonHeight%22:%22120px%22,%22sapUiUx3ExactLstCollapseWidth%22:%2224px%22,%22sapUiUx3ExactLstHeaderHeight%22:%2225px%22,%22sapUiNotificationBarBG_IE%22:%22#000000%22,%22sapUiNotifierHoverColor%22:%22#7a5100%22,%22sapUiNotificationText%22:%22#ffffff%22,%22sapUiNotificationTimestamp%22:%22#ababab%22,%22sapUiNotificationBarCalloutBorder%22:%22#ffffff%22,%22sapUiNotificationBarCalloutBorder_IE%22:%22#ffffff%22,%22sapUiNotificationBarCalloutArr%22:%22#ffffff%22,%22sapUiNotificationBarHeight%22:%2240px%22,%22sapUiNotificationBarHeightMinimized%22:%220px%22,%22sapUiNotificationBarHeightMaximized%22:%2240%25%22,%22sapUiNotifierWidth%22:%2240px%22,%22sapUiRIIconPaddingXS%22:%221px%22,%22sapUiRIIconPaddingS%22:%220.125rem%22,%22sapUiRIIconPaddingM%22:%220.125rem%22,%22sapUiRIIconPaddingL%22:%220.25rem%22,%22sapUiUx3ToolPopupArrowWidth%22:%2212px%22,%22sapUiUx3ToolPopupArrowHeight%22:%2218px%22,%22sapUiUx3ToolPopupArrowRightMarginCorrectionInverted%22:%22-7px%22,%22sapUiUx3TPPaddingBottom%22:%2250px%22,%22sapUiButtonEmphasizedDisabledBorderColor%22:%22#666666%22,%22sapUiButtonEmphasizedDisabledBackground%22:%22#000000%22,%22sapUiButtonAcceptDisabledBorderColor%22:%22#666666%22,%22sapUiButtonAcceptDisabledBackground%22:%22#000000%22,%22sapUiButtonRejectDisabledBorderColor%22:%22#666666%22,%22sapUiButtonRejectDisabledBackground%22:%22#000000%22,%22sapUiPositiveBG%22:%22#00aa00%22,%22sapUiShadowTint%22:%22#000000%22,%22sapUiShadow%22:%225px 5px 10px rgba%280, 0, 0, 0.5%29%22,%22sapUiThemeDesignerCustomCss%22:%22false%22,%22sapUiMarginTiny%22:%220.5rem%22,%22sapUiMarginSmall%22:%221rem%22,%22sapUiMarginMedium%22:%222rem%22,%22sapUiMarginLarge%22:%223rem%22,%22sapUiEscapedEmptyString%22:%22%22,%22sapUiTableToolbarDesign%22:%22Transparent%22,%22_sapUiTableFocusOutlineWidth%22:%222px%22,%22_sapUiTableFocusOutlineOffset%22:%22-3px%22,%22_sapUiTableColHdrHeight%22:%222rem%22,%22_sapUiTableColHdrHeightCozy%22:%223rem%22,%22_sapUiTableRowHdrWidth%22:%222rem%22,%22_sapUiTableRowHdrWidthCozy%22:%223rem%22,%22_sapUiTableRowHdrWidthCondensed%22:%222rem%22,%22_sapUiTableRowHeight%22:%222rem%22,%22_sapUiTableRowHeightCozy%22:%223rem%22,%22_sapUiTableRowHeightCondensed%22:%221.5rem%22,%22_sapUiTableDefaultScrollBarSize%22:%2216px%22,%22_sapUiTableScrollBarSizeIE%22:%2218px%22,%22_sapUiTableScrollBarSizeEDGE%22:%2212px%22,%22_sapUiTableScrollBarSizeMOBILE%22:%220.45rem%22,%22_sapUiTableColumnDnDHighlightColor%22:%22#03b803%22,%22_sapUiTableReorderIndicatorWidth%22:%222px%22,%22_sapUiTableGroupIconHeightDefault%22:%2232px%22,%22_sapUiTableGroupIconHeightCondensed%22:%2224px%22,%22_sapUiTableGroupIconHeightCozy%22:%2248px%22,%22_sapUiTableGroupHeaderBackground%22:%22#000000%22,%22_sapUiTableGroupOutlineWidth%22:%222px%22,%22_sapUiTableGroupIconBorderWidth%22:%223px%22,%22_sapUiTableGroupIconFontSize%22:%220.875rem%22,%22sapHCStandardBG%22:%22#000000%22,%22sapHCHighlightBG%22:%22#7a5100%22,%22sapHCHighlightAltBG%22:%22#0f5d94%22,%22sapHCReducedBG%22:%22#585858%22,%22sapHCReducedAltBG%22:%22#a2a39f%22,%22sapHCStandardFG%22:%22#ffffff%22,%22sapHCEnhancedFG%22:%22#03b803%22,%22sapHCReducedFG%22:%22#666666%22,%22sapHCReducedAltFG%22:%22#999999%22,%22sapHCNegative%22:%22#ff5e5e%22,%22sapHCCritical%22:%22#ffab1d%22,%22sapHCPositive%22:%22#99cc99%22,%22sapHCNeutral%22:%22#ffffff%22,%22sapUiContentMarkerTextColor%22:%22#ffffff%22,%22sapHCShadowTint%22:%22rgba%28255, 255, 255, 0.8%29%22,%22sapUiInfoTop%22:%22false%22,%22sapUiHighlightColor%22:%22#7a5100%22,%22sapUiActiveBG%22:%22#0f5d94%22,%22sapUiMessageNotifierCountBG%22:%22#0f5d94%22,%22sapUiDatePickerTableBackground%22:%22#0f5d94%22,%22sapUiDatePickerTableBorderColor%22:%22#0f5d94%22,%22sapUiDTICustomRows%22:%225%22,%22sapUiDTICustomPhoneRows%22:%223%22,%22sapUiDTICustomWidth%22:%2264%22,%22sapUiDTICustomHeight%22:%2248%22,%22sapUiDTICustomShowLabel%22:%22false%22,%22sapUiDTICustomHeaderText%22:%22true%22,%22sapUiDTICustomMode%22:%22scroller%22,%22sapUiDTICustomDesktopMode%22:%22mixed%22,%22sapUiDTICustomDisplay%22:%22bubble%22,%22sapUiDTICustomPhoneDisplay%22:%22modal%22,%22sapUiToolbarSeparatorBG%22:%22#ffffff%22,%22sapUiToolbarSeparatorFooterBG%22:%22#ffffff%22,%22sapUiSearchHighlight%22:%22#7a5100%22,%22sapUiDarkestBorder%22:%22#ffffff%22,%22sapUiExtraDarkBorder%22:%22#ffffff%22,%22sapUiLightestBorder%22:%22#ffffff%22,%22sapUiAccent1%22:%22#ffffff%22,%22sapUiAccent2%22:%22#ffffff%22,%22sapUiAccent3%22:%22#ffffff%22,%22sapUiAccent4%22:%22#ffffff%22,%22sapUiAccent5%22:%22#ffffff%22,%22sapUiAccent6%22:%22#ffffff%22,%22sapUiAccent7%22:%22#ffffff%22,%22sapUiAccent8%22:%22#ffffff%22,%22sapUiFooterBG%22:%22#000000%22,%22sapUiHeaderBG%22:%22#000000%22,%22sapUiLightestBG%22:%22#000000%22,%22sapUiDarkestBG%22:%22#000000%22,%22sapUiExtraDarkBG%22:%22#000000%22,%22sapMeOverlapCalendarType00%22:%22#585858%22,%22sapMeOverlapCalendarType01%22:%22#66b366%22,%22sapMeOverlapCalendarType01Action%22:%22#66b366%22,%22sapMeOverlapCalendarType04%22:%22#bbddbb%22,%22sapMeOverlapCalendarType06%22:%22#ffab1d%22,%22sapMeOverlapCalendarType07%22:%22#ff9191%22,%22sapMeOverlapCalendarIndicator%22:%22#ffffff%22,%22sapMeCalendarLegendIconCollapse%22:%22collapse%22,%22sapMeCalendarLegendIconExpand%22:%22expand%22%7D')}